Loading...
Searching...
No Matches
rostlab_stdio.h File Reference
`#include <stdint.h>`
`#include <stdio.h>`
Include dependency graph for rostlab_stdio.h:

Go to the source code of this file.

## Namespaces

namespace | rostlab

## Functions

template<typename _Tp>
void | rostlab::fwrite (const _Tp &__v, FILE *__out)
template<typename _Tp, typename _Alloc>
void | rostlab::fwrite (const vector< _Tp, _Alloc > &__v, FILE *__out)
template<>
void | rostlab::fwrite< string > (const string &__str, FILE *__out)
void | rostlab::fwrite (const char *__c, FILE *__out)
template<typename _Tp>
void | rostlab::fread (_Tp &__v, FILE *__in)
template<typename _Tp, typename _Alloc>
void | rostlab::fread (vector< _Tp, _Alloc > &__v, FILE *__in)
template<>
void | rostlab::fread< string > (string &__v, FILE *__in)
template<typename _Tp>
_Tp | rostlab::fread (FILE *__in)